- Qt 5.15
- Qt Wayland Compositor
- QML Types
- WaylandClient QML Type
- Qt 5.15.19 Reference Documentation

# WaylandClient QML Type

Represents a client connecting to the WaylandCompositor. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.8
Instantiates: | QWaylandClient

- List of all members, including inherited members

## Properties

- compositor : WaylandCompositor
- groupId : int
- processId : int
- userId : int

## Methods

- void close()
- void kill(signal)

## Detailed Description

This type represents a client connecting to the compositor using the Wayland protocol. It corresponds to the Wayland interface wl_client.

## Property Documentation

compositor : WaylandCompositor

This property holds the compositor of this WaylandClient.

[read-only] groupId : int

This property holds the group id of this WaylandClient.

[read-only] processId : int

This property holds the process id of this WaylandClient.

userId : int

This property holds the user id of this WaylandClient.

## Method Documentation

void close()

Closes the client

void kill(signal)

Kills the client with the specified signal.